Resync status of a Starlink Account with Starlink
Resync the status of a Starlink account with Starlink. Only accounts with status PENDING_LOA or PENDING_STARLINK_REVIEW will trigger an active resync — all other statuses will return the account as-is.
Required Capabilities
Starlink Viewer
Request
Path parameters
Reference ID of the Starlink account to resync.
Response
200 The status is resynced successfully
A json is returned in the response body with the following fields:
Reference ID of the Starlink account.
Business name of the Starlink account.
Country code of the Starlink account.
Initial contact of the starlink account. It is the authorized representative when you create this starlink account.
Show child attributes
First name of the initial contact.
Last name of the initial contact.
Email of the initial contact.
Phone number of the initial contact.
Status of the Starlink account.
INITIALIZING— The account is initializing and system is syncing with Starlink.PENDING_LOA— Awaiting Authorized Representative to sign the LOA in the Starlink Dashboard.PENDING_STARLINK_REVIEW— Awaiting Starlink to review the account.ACTIVE— Account is active and fully operational.TERMINATED— Account is terminated and service has been permanently stopped.
Starlink account number of the Starlink account. null if not applicable.
Starlink sync information of the account.
Show child attributes
The sync status of the account. null if not applicable.
PENDING— The sync is pending.ABORTED— The sync has been aborted.SYNCING— The sync is in progress.SYNCED— The sync has completed.
The number of times the account sync has been run.
The maximum number of times the account sync can be run.
The last time the account was synced. null if not applicable.
Date and time the account was created.
Username of the user who created the account.
Email of the user who created the account. null if not applicable.
Date and time the account was last updated.
Username of the user who last updated the account.
Email of the user who last updated the account. null if not applicable.
400 Request is invalid
No status is resynced as the request is invalid.
Check the response body for the error details.
Examples
Request
curl -X POST 'https://portal.peplink.com/api/e/v1/cp/starlink/accounts/{refId}/resync-status' \ -H 'Authorization: Bearer {token}'Response
{
"refId": "108",
"businessName": "ABCDE Inc.",
"countryCode": "US",
"initialContact": {
"firstName": "Alice",
"lastName": "C",
"email": "[email protected]",
"phone": "+12319291386"
},
"status": "PENDING_LOA",
"starlinkAccountNumber": "ACC-DF-XXXXXXXX-XXXXX-XX",
"starlinkSync": {
"syncStatus": "SYNCED",
"runCount": 0,
"runCountLimit": 10,
"lastSyncedAt": "2026-03-01T07:13:50.828Z"
},
"createdAt": "2026-02-26T12:51:19.443Z",
"createdBy": "Jane Doe",
"createdByEmail": null,
"updatedAt": "2026-03-25T02:00:04.314Z",
"updatedBy": "System",
"updatedByEmail": null
}